Summary:	A lightweight dhcp and caching nameserver
Name:		dnsmasq
Version:	2.63
Release:	%mkrel 1
License:	GPLv2 or GPLv3
Group:		System/Servers
URL:		http://www.thekelleys.org.uk/dnsmasq
Conflicts:	bind

Source0:	http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.xz
Source1:	dnsmasq.sysconfig
Source2:	dnsmasq.init

BuildRequires:	dbus-devel

Requires:			%{name}-base = %{version}-%{release}
Requires(preun):	rpm-helper
Requires(post):	rpm-helper

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

%package	base
Summary:	A lightweight dhcp and caching nameserver - base files without init scripts
Group:		Networking/Remote access

%description	base
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

This package contains the base files of the Dnsmasq server, without the init
scripts and global configuration files.

%prep
%setup -q

%build
#(tpg) enable dbus support
sed -i 's|/\* #define HAVE_DBUS \*/|#define HAVE_DBUS|g' src/config.h

%serverbuild
%make

%install
%__install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/%{name}
%__install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%__install -m644 dnsmasq.conf.example -D %{buildroot}%{_sysconfdir}/dnsmasq.conf
%__install -m755 -D src/dnsmasq %{buildroot}%{_sbindir}/dnsmasq
%__install -m644 man/dnsmasq.8 -D %{buildroot}%{_mandir}/man8/dnsmasq.8


%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%files base
%doc CHANGELOG FAQ COPYING COPYING-v3 doc.html setup.html
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*




%changelog

* Fri Sep 14 2012 julien <julien> 2.63-1.mga2
+ Revision: 293991
- update to v2.63 to fix CVE-2012-3411 (mga#7466)
- update to version 2.59

* Thu Oct 06 2011 julien <julien> 2.58-1.mga2
+ Revision: 152534
- new version 2.58
- small cleanup of specfile

* Sat Apr 16 2011 misc <misc> 2.57-1.mga1
+ Revision: 86170
- update to 2.57
- remove and clean old conflict

* Thu Jan 27 2011 erwan <erwan> 2.55-1.mga1
+ Revision: 42235
- imported package dnsmasq

